Subject: Re: Cygwin use in commercial product
From: Christopher Faylor <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Fri, 15 Dec 2000 15:13:25 -0500

Cygwin and all of its components are released under the GNU Public
License (GPL).  That means that if you provide the bash shell and
associated commands, you need to also provide sources for these programs
pursuant to the GPL.  This includes the sources for the cygwin DLL.

Red Hat can provide alternative licensing for non-GPLed programs which
use the cygwin DLL but we have no control over most of the rest of the
package.  Programs like bash, gcc, gdb, awk, sed, etc.  are by-and-large
owned by the FSF and are released under the GPL.  Other programs have
other ownership requirements.

I don't understand what you mean by a "runtime environment" for Cygwin.
You can pare things down to whatever you'd feel is sufficient as long
as you adhere to the licensing terms.  There are certainly no requirement
that you must include something the "ncurses" package if you don't need
it.

For more information on the GPL, check out www.gnu.org.

cgf

On Fri, Dec 15, 2000 at 11:16:40AM -0800, Anthony Biegen wrote:
>
>
>Greetings,
>
>We are developing a product that is Unix based. We have requirements from
>our customers to also run the software on NT platforms. Obviously we would
>like to have a single source code stream. One of our developers discovered
>that he could get the software to run in a bash window on NT using Cygwin.
>The software was not developed using Cygwin nor does it use any of the many
>features of Cygwin other than the bash shell and associated commands. Here
>are my questions:
>
>1. Is there a runtime environment for Cygwin? The 14 megabytes seems
>awfully large for someone not using all those features.
>
>2. What are the legal considerations if we wanted to distribute Cygwin with
>our product to NT users? Who could we talk to regarding this issue?
>
>Thanks for you help.
>
>Tony Biegen
>Senior Architect
>QAD.inc
>[email-masked]
>805-565-4205
>
>
>
>--
>Want to unsubscribe from this list?
>Send a message to [email-masked]

-- 
[email-masked]                        Red Hat, Inc.
http://sources.redhat.com/            http://www.redhat.com/

--
Want to unsubscribe from this list?
Send a message to [email-masked]